Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
var e = require("./common/vendor.js");
require("./constant/index.js");
var t = require("./utils/ald-stat.js"),
  n = require("./utils/mtj-wx-sdk.js"),
  i = require("./utils/util.js");
Math;
var a = {
  __name: "App",
  setup: function (t) {
    return (
      e.onLaunch(function () {
        i.checkForUpdate(),
          setTimeout(function () {
            var t = e.index.getStorageSync("openId");
            t && (e.wx$1.aldstat.sendOpenid(t), e.wx$1.uma.setOpenid(t));
          }, 5e3);
      }),
      function (e, t) {
        return {};
      }
    );
  },
};
function r() {
  var t = e.createSSRApp(a);
  return t.use(e.createPinia()), { app: t, Pinia: e.Pinia };
}
t.aldInit(),
  n.mtjInit({}),
  e.lib.init({
    appKey: "65793213a7208a5af185764c",
    useOpenid: !0,
    autoGetOpenid: !1,
    debug: !0,
  }),
  r().app.mount("#app"),
  (exports.createApp = r);
